Support » Fixing WordPress » Importing from very old WP (2.2.3) to newest version

  • Hi everyone,

    I have exported the content from a WP2.2.3 site to a WXR file using WP’s built-in export functionality.

    I now want to import that content to a new, WP3.1.2 site using WP’s built-in import functionality.

    However, I’m getting an error “This does not appear to be a WXR file, missing/invalid WXR version number”.

    I believe this must be because I’m attempting to import from such an old version of WP.

    Does anyone know how to resolve this issue? Thanks in advance.

Viewing 2 replies - 1 through 2 (of 2 total)
  • I figured this out.

    I just added in <wp:wxr_version>1.1</wp:wxr_version> to the export file and the import was successful.

    It’s certainly not perfect, not all the fields match up, but it did the trick for me.

    Thank you so much for this. I was about to tear my hair out thinking that I’d have to copy and paste each post into my new blog when I found this solution.

    Just open the exported xml file in Notepad (Windows) or TextEdit (Mac) and paste the line

    <wp:wxr_version>1.1</wp:wxr_version>

    at the top of the file. Leave everything else intact.

    One other note is that it is worth exporting content for each author, if you have multiple authors, and import them separately. That worked better for me – the ‘ALL’ authors export didn’t seem to grab all the posts.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Importing from very old WP (2.2.3) to newest version’ is closed to new replies.